io.etcd.jetcd.api

## Enum AlarmType

- java.lang.Object
- - java.lang.Enum<AlarmType>
  - - io.etcd.jetcd.api.AlarmType

All Implemented Interfaces:
  com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<AlarmType>

    public enum AlarmType
    extends Enum<AlarmType>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `etcdserverpb.AlarmType`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NONE` default, used to query if any alarm is active
`NOSPACE` space quota is exhausted
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `NONE_VALUE` default, used to query if any alarm is active
`static int` `NOSPACE_VALUE` space quota is exhausted

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static AlarmType` `forNumber(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<AlarmType>` `internalGetValueMap()`
`static AlarmType` `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
`static AlarmType` `valueOf(int value)` Deprecated. Use `forNumber(int)` instead.
`static AlarmType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AlarmType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final AlarmType NONE

     default, used to query if any alarm is active

`NONE = 0;`

#### NOSPACE

    public static final AlarmType NOSPACE

     space quota is exhausted

`NOSPACE = 1;`

#### UNRECOGNIZED

    public static final AlarmType UNRECOGNIZED

### Field Detail

#### NONE_VALUE

    public static final int NONE_VALUE

     default, used to query if any alarm is active

`NONE = 0;`

See Also:
  Constant Field Values

#### NOSPACE_VALUE

    public static final int NOSPACE_VALUE

     space quota is exhausted

`NOSPACE = 1;`

See Also:
  Constant Field Values

### Method Detail

#### values

    public static AlarmType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AlarmType c : AlarmType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AlarmType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static AlarmType valueOf(int value)

Deprecated. Use `forNumber(int)` instead.

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### forNumber

    public static AlarmType forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<AlarmType> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static AlarmType valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)